//
// Created by Ht on 2022/1/7.
//

#ifndef INC_1_LIBDEVCPP_DLLUTIL_H
#define INC_1_LIBDEVCPP_DLLUTIL_H

#include <jebase/config.h>
#include <string>

class JE_API DllUtil {
public:
    static void* openLibrary(const std::string& name, std::string* errMsg = nullptr);

    static void closeLibrary(void* handler, std::string* errMsg = nullptr);

    static void *getFunctionAddr(void *handler, const std::string &funcName, std::string *errMsg = nullptr);

    static const char *getDllFileExt();
};

#endif //INC_1_LIBDEVCPP_DLLUTIL_H
